Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Debianized-By: Dominique Belhachemi <domibel@debian.org>
Debianized-Date: Fri, 21 Mar 2008 09:41:47 +0000
Source: http://teem.sourceforge.net/

Files: *
Copyright:
 Copyright (C) 2008, 2007, 2006, 2005  Gordon Kindlmann
 Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998  University of Utah
License: Simple_Library_Usage_License
                     Simple Library Usage License
                        Version 1, Nov 6 2005
 .
                  Copyright (c) 2005 Gordon Kindlmann
 .
 Everyone is permitted to copy and distribute verbatim copies of this
 license document, but changing it is not allowed.
 .
                     SIMPLE LIBRARY USAGE LICENSE
   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
 .
 This library is free software; you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License (LGPL) as
 published by the Free Software Foundation; either version 2.1 of the
 License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 02110-1301  USA
 .
 On Debian systems, the complete text of the GNU Lesser General
 Public License can be found in `/usr/share/common-licenses/LGPL'.
 .
 .
 .
                          EXCEPTION NOTICE
 .
 1. As a special exception, the copyright holders of this library give
 permission for additional uses of the text contained in this release
 of the library as licensed under the Simple Library Usage License,
 applying either version 1 of the License, or (at your option) any
 later version of the License as published by the copyright holders of
 version 1 of the License document.
 .
 2. The exception is that you may combine or link a "work that uses the
 Library" (as defined by the LGPL) with the Library to produce a work
 containing portions of the Library in binary form, and distribute that
 work under terms of your choice, provided that:
 .
   a) You give prominent notice with each copy of the work that the
   Library is used in it.
 .
   b) If the work during execution displays copyright notices, you must
   include the copyright notice for the Library among them.
 .
 3. If you copy code from files distributed under the terms of the GNU
 General Public License or the GNU Lesser General Public License into a
 copy of this library, as this license permits, the exception does not
 apply to the code that you add in this way.  To avoid misleading
 anyone as to the status of such modified files, you must delete this
 exception notice from such code and/or adjust the licensing conditions
 notice accordingly.
 .
 4. If you write modifications of your own for this library, it is your
 choice whether to permit this exception to apply to your
 modifications.  If you do not wish that, you must delete the exception
 notice from such code and/or adjust the licensing conditions notice
 accordingly.
 ----------------------------------------------------------------------

Files: UseTeemCMakeDemo/sanity.c
Copyright: 2008 Gordon Kindlmann
License: WTFPL
             DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
                    Version 2, December 2004
 .
 Copyright (C) 2004 Sam Hocevar
  14 rue de Plaisance, 75014 Paris, France
 Everyone is permitted to copy and distribute verbatim or modified
 copies of this license document, and changing it is allowed as long
 as the name is changed.
 .
             DO WHAT THE FUCK YOU WANT TO PUBLIC LICENSE
    TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
 .
   0. You just DO WHAT THE FUCK YOU WANT TO.
 -----------------------------------------------------------

Files: src/nrrd/gzio.c
Copyright:
  Copyright (C) 2008, 2007, 2006, 2005 Gordon Kindlmann
  Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998 University of Utah
  Copyright (C) 1995-2002 Jean-loup Gailly and Mark Adler
License: LGPL-2.1+
Comment: Derived from BSD-3-clause
  This file is a modified version of the 'gzio.c' and 'zutil.h' source
  files from the zlib 1.1.4 distribution.
 .
  zlib.h -- interface of the 'zlib' general purpose compression library
  version 1.1.4, March 11th, 2002
 .
  Copyright (C) 1995-2002 Jean-loup Gailly and Mark Adler
 .
  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.
 .
  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, subject to the following restrictions:
 .
  1. The origin of this software must not be misrepresented; you must not
     claim that you wrote the original software. If you use this software
     in a product, an acknowledgment in the product documentation would be
     appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be
     misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.
 .
  Jean-loup Gailly        Mark Adler
  jloup@gzip.org          madler@alumni.caltech.edu
 .
  The data format used by the zlib library is described by RFCs (Request for
  Comments) 1950 to 1952 in the files ftp://ds.internic.net/rfc/rfc1950.txt
  (zlib format), rfc1951.txt (deflate format) and rfc1952.txt (gzip format).
  ----------------------------------

Files: src/air/randMT.c
Copyright:
  Copyright (C) 2008, 2007, 2006, 2005  Gordon Kindlmann
  Copyright (C) 2004, 2003, 2002, 2001, 2000, 1999, 1998  University of Utah
  Copyright (C) 1997 - 2002, Makoto Matsumoto and Takuji Nishimura,
  Copyright (C) 2000 - 2003, Richard J. Wagner
License: LGPL-2.1+
Comment: Derived from BSD-3-clause
  This file is a modified version of the MersenneTwister.h source file
  written by Richard J. Wagner.  The original copyright notice follows.
 .
  Mersenne Twister random number generator -- a C++ class MTRand
  Based on code by Makoto Matsumoto, Takuji Nishimura, and Shawn Cokus
  Richard J. Wagner  v1.0  15 May 2003  rjwagner@writeme.com
 .
  The Mersenne Twister is an algorithm for generating random numbers.  It
  was designed with consideration of the flaws in various other generators.
  The period, 2^19937-1, and the order of equidistribution, 623 dimensions,
  are far greater.  The generator is also fast; it avoids multiplication and
  division, and it benefits from caches and pipelines.  For more information
  see the inventors' web page at http://www.math.keio.ac.jp/~matumoto/emt.html
 .
  Reference
  M. Matsumoto and T. Nishimura, "Mersenne Twister: A 623-Dimensionally
  Equidistributed Uniform Pseudo-Random Number Generator", ACM Transactions on
  Modeling and Computer Simulation, Vol. 8, No. 1, January 1998, pp 3-30.
 .
  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:
 .
  1. Redistributions of source code must retain the above copyright
  notice, this list of conditions and the following disclaimer.
 .
  2. Redistributions in binary form must reproduce the above copyright
  notice, this list of conditions and the following disclaimer in the
  documentation and/or other materials provided with the distribution.
 .
  3. The names of its contributors may not be used to endorse or promote
  products derived from this software without specific prior written
  permission.
 .
  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
  FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
  ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  POSSIBILITY OF SUCH DAMAGE.
 .
  The original code included the following notice:
 .
  When you use this, send an email to: matumoto@math.keio.ac.jp
  with an appropriate reference to your work.
 .
  It would be nice to CC: rjwagner@writeme.com and Cokus@math.washington.edu
  when you write.
  ----------------------------------

Files: debian/*
Copyright: Copyright 2008, Dominique Belhachemi <domibel@debian.org>
License: GPL-2+
 The Debian packaging is licensed under the GPL, see `/usr/share/common-licenses/GPL-2'

License: LGPL-2.1+
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public License
  (LGPL) as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.
  The terms of redistributing and/or modifying this software also
  include exceptions to the LGPL that facilitate static linking.
 .
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
 .
 On Debian systems you can find a copy of the full text of the GNU
 Lesser General Public License at /usr/share/common-licenses/LGPL-2.1.
